org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans

## Class FallbackMethodGenericArrayBeanA

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericArrayBeanB<String>
  - - org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericArrayBeanA

    @ApplicationScoped
    public class FallbackMethodGenericArrayBeanA
    extends FallbackMethodGenericArrayBeanB<String>

### Constructor Summary

Constructors
Constructor and Description
`FallbackMethodGenericArrayBeanA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `method(String[][] arg)`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericArrayBeanB

`fallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FallbackMethodGenericArrayBeanA

    public FallbackMethodGenericArrayBeanA()

### Method Detail

#### method

    @Fallback(fallbackMethod="fallback")
    public String method(String[][] arg)